/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.dialogs;

import org.eclipse.core.resources.IResource;
import org.eclipse.swt.widgets.Shell;

public class ResourceFileSelectionDialog extends AbstractResourceSelectionDialog {

	private String[] extensions;

	public ResourceFileSelectionDialog(Shell parentShell, IResource... resources) {
		super(parentShell, resources);
		setTitle("ファイルの選択");
		setMessage("ファイルを選択してください。");

	}

	public void setExtensions(String... extensions) {
		this.extensions = extensions;
	}

	@Override
	protected boolean acceptSelection(IResource resource) {
		if (resource.getType() == IResource.FILE) {
			if (extensions == null) {
				return true;
			}
			for (final String extension : extensions) {
				final String ext = extension.replace("*", "");
				if (resource.getName().endsWith(ext)) {
					return true;
				}
			}
		}
		return false;
	}
}
