/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.twa.ui.dialogs;

import org.eclipse.jface.dialogs.IDialogConstants;
import org.eclipse.jface.wizard.Wizard;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.graphics.Point;
import org.eclipse.swt.widgets.Composite;

public class WizardComleteDialog extends WizardDialog {

	public WizardComleteDialog(String windowTitle, final WizardPage wizardPage) {
		super(null, createWizard(windowTitle, wizardPage));
	}

	@Override
	protected Point getInitialSize() {
		return new Point(500, 400);
	}

	@Override
	protected void createButtonsForButtonBar(Composite parent) {
		super.createButtonsForButtonBar(parent);
		getButton(IDialogConstants.CANCEL_ID).setEnabled(false);
	}

	private static Wizard createWizard(String windowTitle, final WizardPage wizardPage) {
		Wizard wizard = new Wizard() {
			@Override
			public boolean performFinish() {
				return true;
			}

			@Override
			public void addPages() {
				addPage(wizardPage);
			}
		};
		wizard.setWindowTitle(windowTitle);
		return wizard;
	}
}
